package application;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Alert;
import javafx.scene.control.Alert.AlertType;
import javafx.scene.control.ButtonType;

public class Main extends Application
{
	@Override
	public void start(Stage primaryStage)
	{
		RootGridPane root = new RootGridPane();
		Scene scene = new Scene(root, 400, 400);
		primaryStage.setScene(scene);
		primaryStage.show();
	}
	
	public static void showAlert(AlertType alertType, String message)
	{
		Alert alert = new Alert(alertType, message, ButtonType.OK);
		alert.setTitle(alertType.name());
		alert.setHeaderText(null);
		alert.showAndWait();
	}

	public static void main(String[] args)
	{
		launch(args);
	}
}
